PSCX_2.1 Cannot Import-Module

Topics: User Forum
Aug 7, 2012 at 2:19 PM

Hello Guys,

Is there anybody who can help me? I am trying to update my PS v.1 to 2.1. When i Import-module PSCX into my Profile it works fine. But when i try to call and used the new cmdlets and other features, etc.. It gives me an error.

Thank you so much.

Coordinator
Aug 7, 2012 at 3:21 PM

What error are you seeing? 

Aug 7, 2012 at 3:40 PM
Edited Aug 7, 2012 at 3:51 PM

Hey, I am also getting an error. Running Windows 8 RP Build 8400 64-Bit.

  
Property 'Get' cannot be found on this object. Make sure that it exists.
At C:\Users\Steve\Documents\WindowsPowerShell\Modules\PSCX\Modules\Wmi\Pscx.Wmi.psm1:8 char:6
+     if (!$acceleratorsType::Get.ContainsKey($name))
+         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [], ParentContainsErrorRecordException
    + FullyQualifiedErrorId : PropertyNotFoundStrict
 
Property 'Get' cannot be found on this object. Make sure that it exists.
At C:\Users\Steve\Documents\WindowsPowerShell\Modules\PSCX\Modules\Wmi\Pscx.Wmi.psm1:8 char:6
+     if (!$acceleratorsType::Get.ContainsKey($name))
+         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    + CategoryInfo          : NotSpecified: (:) [], PropertyNotFoundException
    + FullyQualifiedErrorId : PropertyNotFoundStri

 

Coordinator
Aug 7, 2012 at 4:43 PM

Hi @stvpwrs, for Windows 8 please use the 3.0 beta of PSCX that can be downloaded from here:

http://pscx.codeplex.com/releases/view/91403

BTW which version did you grab?

Aug 7, 2012 at 5:00 PM

I am guessing 2.0? It was the default for hitting the big "Download Now" Button on the home page.

Coordinator
Aug 8, 2012 at 1:38 AM

Yep, 2.0 doesn't support PowerShell v3.  Try the PSCX 3.0 beta version in the link above.

Aug 8, 2012 at 12:57 PM

Hi @ r_keith_hill, i got the same error with stvpwrs. I fixed the error already, the reason why i can't import the new module of 2.1. It's because i didn't used the $path profile of my PS. Accidentally, i put the command on my PS_ISE. That's why it's gives me an error.

Now, it works fine.

Thanks.